<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [scan](./bitburner.ns.scan.md)

## NS.scan() method

Get the list of servers connected to a server.

**Signature:**

```typescript
scan(host?: string): string[];
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | _(Optional)_ Optional. Hostname of the server to scan, default to current server. |

**Returns:**

string\[\]

Returns an array of hostnames.

## Remarks

RAM cost: 0.2 GB

Returns an array containing the hostnames of all servers that are one node way from the specified target server. The hostnames in the returned array are strings.

## Example


```js
// All servers that are one hop from the current server.
ns.tprint("Neighbors of current server.");
let neighbor = ns.scan();
for (let i = 0; i < neighbor.length; i++) {
    ns.tprint(neighbor[i]);
}
// All neighbors of n00dles.
const target = "n00dles";
neighbor = ns.scan(target);
ns.tprintf("Neighbors of %s.", target);
for (let i = 0; i < neighbor.length; i++) {
    ns.tprint(neighbor[i]);
}
```

